Subject: Re: TEST: Sleep suppport for iBook G4 & Aluminium PowerBooks (ATI based)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 19 Nov 2004 21:33:33 +1100

On Fri, 2004-11-19 at 08:50 +0000, David Woodhouse wrote:
> On Fri, 2004-11-19 at 17:56 +1100, Benjamin Herrenschmidt wrote:
> > (Message cross-posted to several lists, please do _NOT_ reply to all of
> > them).
> 
> I forwarded it to [email-masked] too.
> 
> Since I started using the previous patch and actually suspending, I've
> been seeing the GNOME panel and window list die frequently, and
> occasionally other X apps. When X apps have died which were started from
> the command line it seemed to be a spurious SIGPIPE, strangely.
> 
> I don't _think_ I've ever seen it immediately after booting; only after
> suspend/resume. But that could be just a coincidence. Likewise the way
> it started when I added the sleep patch _could_ just be a coincidence --
> I was still running Fedora rawhide and updating other packages (and
> there were other kernel changes) at that time, so a lot of other things
> changed too... but has anyone else seen similar behaviour?

Try the new patch. Note that I posted a second one today, right after
the first one, that fixes a engine lockup bug (see my second mail).

The original patch had a bug where some of the CPU "HID" registers
weren't properly restored for 7447A type CPUs. If you had one of these,
it could explain the issue.

Ben.